Introduction to Serial Port Monitor

Serial Port Monitor is a professional application for RS232/422/485 COM ports monitoring. It monitors, displays, logs and analyzes all serial port activity in a system. Serial Port Monitor is a powerful system utility for exploring the way OS works, monitoring how applications use ports, for tracking down problems in system or application configurations and processes. Advanced filtering, search and representation capabilities build a rich features list, which along with a user-friendly interface become its key advantages. Serial Port Monitor delivers maximum functionality for everyone who needs real power to deal with ports.

Serial Port Monitor can be used for:
  • monitoring serial data exchange between serial devices and any Windows application
  • debugging computer connection with peripheral devices using COM port, such as modem, mini-ATS, projector, etc
  • solving problems with serial (RS232/422/485) data communication control networks and devices
  • implementing, debugging and reverse-engineering serial protocol
  • sending and capturing binary, ASCII and HEX data passing via serial connections
  • convenient interaction with any equipment over RS232/RS422/RS485 interface
  • serial devices drivers development
  • development of hardware with serial interfaces
  • software and hardware testing
Serial Port Monitor main features:
  • Start/stop monitoring of the serial port that is already opened by other application
  • Advanced serial port monitoring functionality. Any number of serial ports can be monitored simultaneously
  • Data transmission and logging
  • On-the-fly data modification by sending data of various formats (string, binary, octal, decimal, hexadecimal, mixed)
  • Real-time data capture
  • Various monitoring visualizers: table view, line view, dump view, terminal view
  • Incoming and outgoing data streams logging
  • Multi-colored commands display in table view
  • Any software/hardware that works with a serial port can be monitored
  • Intercept and record all serial input/output control codes (IOCTLs), tracking their full details and parameters
  • Customizable monitoring session logging (several timestamp formats, different scale of notation, customizable logging string length etc.)
  • Convenient and flexible monitoring session's management: saving, loading, importing, etc.
  • Monitoring session exporting (HTML, ASCII text, UNICODE text) and automatic redirection to file (Serial Port Monitor will automatically append all monitored data to a file in real-time)
  • Monitoring session and automatic redirection to file (Serial Port Monitor will automatically append all monitored data to a file in real-time)
  • Supports copying all recorded data to clipboard
  • Emulate data sending on behalf of monitored application via unique internal terminal module
  • Full duplex mode supported
  • Control lines status visualized
  • Unique stream filtering tools with presets
  • All baudrates supported: up to 256000
  • Supports all COM-port types: standard on-board ports, extension board ports, SERIAL-via-USB adapters
  • Flexible configuration: stopbits, flow control, parity control, data bits, highlighting, etc.
  • User-friendly interface: the software is designed to provide easy access to the serial ports, no programming skills are required
Serial Port Monitor can be successfully used by:
  • programmers and beta-testers
  • quality-control engineers
  • peripheral software developers
  • OEM development and test engineers
  • system integrators
  • field service and maintenance engineers
  • industrial control and SCADA design engineers
System requirements
  • Windows 2000/XP/2003
  • at least one free COM port
Eltima Software GmbH
Lyoner Strasse 26
60528 Frankfurt, Germany 		Support Line:
Tel: +49 69 677 33 496 [CET]
Fax: +49 69 677 33 200 		Customer Care Center:
www.eltima.com/ccc


Software license agreement

This user license agreement (the "AGREEMENT") is an agreement between you (individual or single entity) and Eltima Software GmbH.

The SOFTWARE is the property of Eltima Software GmbH and is protected by copyright laws and international copyright treaties.

Trial version

If you accept the terms and conditions of this AGREEMENT, you have certain rights and obligations as follows:

You may:

1. Install and use the unlimited number of copies of the Trial VERSION.
2. Use one or more copies of the Trial VERSION for evaluation purposes only.
3. Copy and distribute freely the Trial VERSION (see 'DISTRIBUTION').

You may not:

1. Sublicense, rent or lease the Trial VERSION or any portion of it (unless you are an authorized reseller/partner).
2. Decompile, disassemble, deflash, reverse engineer or modify the Trial VERSION or any portion of it.

Distribution:

You are hereby licensed to make as many copies of the Trial VERSION as you wish and distribute them to anyone provided that all files are intact. You must distribute the install form of the Trial VERSION (not the files resulting of an installation). You are not allowed to sell the Trial VERSION (except for shipment and handling charges). Computer's Magazines are authorized to distribute it on any Cover Disk or CD-ROM without any permission. Please inform us by e-mail each time you distribute the Trial VERSION.

Warranty disclaimer:

The SOFTWARE is supplied "AS IS". Eltima Software GmbH disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the SOFTWARE. Eltima Software GmbH claims no responsibility for illegal usage of this SOFTWARE.

Disclaimer of damages

Eltima Software GmbH assumes no liability for damages, direct or consequential, which may result from the use of the SOFTWARE, even if Eltima Software GmbH has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.

Eltima Software GmbH


Serial Port Monitor registration

For order processing we use ShareIt! (www.shareit.com). This system offers full range of payment options, including credit cards, bank/wire transfers, cash, checks, etc. Your order is absolutely secure and we do our best to keep each and every client satisfied.

Please, select the subscription, which is best suitable for you:

Serial Port Monitor

Single License
Order Serial Port Monitor now! Order Serial Port Monitor now! Order Serial Port Monitor now!
€ 59.95
$ 79.95
2-5 Licenses
Order Serial Port Monitor now! Order Serial Port Monitor now! Order Serial Port Monitor now!
€ 55.95
$ 72.95
6-10 Licenses
Order Serial Port Monitor now! Order Serial Port Monitor now! Order Serial Port Monitor now!
€ 49.95
$ 64.95
11-20 Licenses
Order Serial Port Monitor now! Order Serial Port Monitor now! Order Serial Port Monitor now!
€ 45.95
$ 59.95
21 and more licenses
Order Serial Port Monitor now! Order Serial Port Monitor now! Order Serial Port Monitor now!
€ 39.95
$ 49.95
Unlimited Site License
Order Serial Port Monitor now! Order Serial Port Monitor now! Order Serial Port Monitor now!
€ 799.95
$ 999.95

Your registration key is delivered immediately after the order placement. In rare cases, it can take up to 48 hours. The registration key is delivered via e-mail either by the selling system (ShareIt!) or our Sales Team. We are also open to discuss multiple licenses discounts, educational institution discounts and Source Codes licensing.

Security guarantee
Online order placement page has been secured with a digital certificate by VeriSign, Inc. This is shown via the "site certificate" that sits on all secure pages. To view this certificate, click on the VeriSign logo at the bottom of the page or the solid key on the status bar of your browser window. A small frame displaying site security information will appear.

Lifetime 24/7 quality individual tech and info support
Our Support Team is available 24 hours a day, 7 days a week, 365 days a year via email, instant messengers, phone or fax. If you have any problems using our products, please send us your detailed comments, suggestions, questions and we will solve every issue with respect and with invisible delays. We value every customer and will reply to you as soon as possible. Registered customers are given top priority. All the contacts can be found either in software manuals, or on the web, or in the software "About" box.

14 days money back guarantee
To insure that you are receiving quality service and ordered products work as they were announced to, Eltima offers an honor-based 14 days money-back-guarantee when you purchase any of our products. Honor-based means we will be glad to return your investment when we are sure the product is malfunctioning on client's PC and we receive assistance in finding out the reason on the side of our customers. Please, note that we do not cover unconditional refunds, so contact our Sales Department to issue the reason of your refund request.

I got my key, what do I do now?
To register your copy of Serial Port Monitor with the registration key you received upon the purchase, please, use "Help -> Enter registration code" option to enter the code.

Your registration seems to be successful!

If the code is correct and matches your registration name, your copy of Serial Port Monitor will be registered with the following message: "Thank you for registration." Serial Port Monitor will then be closed and restarted automatically. Thank you, you have completed the registration.


Technical support

You can easily request support via any of the following methods:

Customer Care Center

Visit our Customer Care Center (CCC) to get qualified technician at your hand, track your inquires and search our growing Q&A database to find out if other user have encountered similar problems.

Support via e-mail:

You can always reach our Support Team via the following e-mail:
support@eltima.com

Support via instant messengers:

ICQ #: 241962083
MSN Messenger ID: jannachelsy@hotmail.com
AOL Messenger ID: jannachelsy
Yahoo! Messenger ID:jannachelsy

Support via phone:

Toll-free support line #: +49 69 677 33 496 [CET]

To get more information about this product and many more other products please visit our site at www.eltima.com


What's new in this version?

Serial Port Monitor 3.0 [Build 3.0.0.95]
Released: February 8, 2006
  • Fixed: Minor issues in Dump view are fixed
Serial Port Monitor 3.0 [Build 3.0.0.92]
Released: February 2, 2006
  • Added: Ability to monitor serial ports currently opened by other applications
  • Added: More detailed information for IOCTL_SERIAL_GET_HANDFLOW, IOCTL_SERIAL_SET_HANDFLOW , IOCTL_SERIAL_SET_WAIT_MASK, IOCTL_SERIAL_GET_WAIT_MASK, IOCTL_SERIAL_WAIT_ON_MASK in the Line View
  • Improved: Terminal panel is now known as Send dialog
  • Improved: Send dialog allows to send strings, binary, octal, decimal, hexadecimal and mixed (hex plus strings)data
  • Added: New tab in Preferences dialog
  • Fixed: Several minor bugs
Serial Port Monitor 2.1 [Build 2.1.6.67]
Released: December 15, 2005
  • Fixed: Carriage Return character (/r) issue in Terminal View
Serial Port Monitor 2.1 [Build 2.1.6.65]
Released: November 23, 2005
  • Fixed: Line view log clearance issues
Serial Port Monitor 2.1 [Build 2.1.6.63]
Released: October 5, 2005
  • PnP requests to remove serial port device management is fixed
Serial Port Monitor 2.1 [Build 2.1.6.59]
Released: August 31, 2005
  • Serial Port Monitor now is compatible with 64-bit Windows OS
Serial Port Monitor 2.0 [Build 2.0.1.27]
Released: July 22, 2005
  • Fixed a bug in Dump view representation
  • Minor bug in Export Dump view is fixed
Serial Port Monitor 2.0 [Build 2.0.1.24]
Released: July 19, 2005
  • Added functionality to Dump view. Now it shows what file has opened or closed serial port
  • Fixed minor bugs in a driver
  • Improved program interface and performance
Serial Port Monitor 2.0 [Build 2.0.0.12]
Released: July 6, 2005
  • Added ability to monitor two or more ports simultaneously
  • Added ability to select different numeration system data representation (binary, octal, decimal, hexadecimal) and string length.
  • Advanced timestamp monitoring (date and time, time only, interval from session start, interval between events)
  • Improved status bar. Added IRP, read/write databits counters, bitrate/handflow/parity/datalenght indicators
  • Added ability to set how long IRP would be stored
  • Added ability to select/deselect Table view columns
  • Improved Terminal view
  • Fixed some bugs in a driver working in HyperThreading mode
  • Interface bugs fixed
Serial Port Monitor 1.2 [Build 1.2.5.17]
Released: March 4, 2005
  • HyperThreading issues stabilized
  • Sessions saving/loading enhanced
  • Views refresh and scrolling enhanced
Serial Port Monitor 1.2 [Build 1.2.4.13]
Released: February 8, 2005
  • Grammar corrected in some texts
  • Terminal now works in read-only mode and you will see characters only when port is open and Echo is on, vertical scroll added
  • The monitored port is now default in Terminal
  • "Clear filter" fixed
  • The number of days left in a trial version is now visible
  • Autoscrolling and line wrapping in Terminal
  • CTRL+P keyboard shortcut duplication fixed
  • *.SPM files can now be opened directly with Serial Port Monitor
  • Redirection of the view into file doesn't lead to crash
  • Automatic scrolling in views
  • No more "Cannot load sniff driver" message
  • Double launch fixed
  • Interface refurbished under Windows 2000
  • HyperThreading compatibility enhanced
  • Monitoring while sending files more than 1 Kb does not lead to crash.
Serial Port Monitor 1.2 [Build 1.2.4.7]
Released: January 21, 2005
  • New session dialog enhanced
  • Session files opening fixed
  • Several post-release additions
Serial Port Monitor 1.2 [Build 1.2.3.1]
Released: January 20, 2005
  • Reversed registration name trouble fixed
  • Some internal descriptions corrected
Serial Port Monitor 1.2 [Build 1.2.2.1]
Released: January 14, 2005
  • Compatibility with Windows 2000 Server/Pro fixed
Serial Port Monitor 1.2 [Build 1.2.1.1]
Released: January 13, 2005
  • Bug with monitoring restart fixed
  • Some minor interface enhancements
Serial Port Monitor 1.2 [Build 1.2.0.14]
Released: January 12, 2005
  • Monitoring Session (*.spm) format added
  • Several auto-scrolling enhancements
  • CTRL+ENTER hotkey added within the terminal module
  • New "Redirect to file" feature
  • Some stabilizations and minor fixes
Serial Port Monitor 1.0 [Build 1.0.1.12]
Released: January 4, 2005
  • First official release


Getting the latest version

There are many places you may have downloaded this software from, it can be a software catalog, or software shop, or your friend's website. Below, we list official resources you should trust first and foremost. These are the websites, where you can be sure to get the latest stable release, and where you should go to request upgrades technical support:

http://www.eltima.com
http://www.virtualserialport.com


Installation

Serial Port Monitor is distributed as a single package: serial_port_monitor.exe (may be ZIPped). This is a Windows Installer database file packed into the executable file. Use the following procedure to install Serial Port Monitor on your computer:

  1. Make sure that you have all required privileges in order to run Microsoft Windows Installer package on the local machine. You must be a member of Administrators group or you must have an Install Device Drivers privilege assigned to you by the administrator of the local machine in order to successfully install the software and utilize it.
  2. Launch the serial_port_monitor.exe file. Follow the steps offered by the installation wizard.
  3. After the product is successfully installed, run it either directly from the installer, or using any of the shortcuts created.


Starting new monitoring session

Monitoring session is a special term that defines the process of monitoring with Serial Port Monitor. Sessions can be started, paused, stopped, closed, saved, etc. When you launch Serial Port Monitor, you don't have any session activated immediately. Instead you need to do it manually. Please, follow these instructions to start a new monitoring session:
  1. Launch Serial Port Monitor
  2. Choose "File -> New session" from the main menu, or click "New" on the main toolbar, or press CTRL+N:

  3. "New session" starting screen will be invoked:

    This window allows selecting visualizes visualizers you would like to view. "Table view" displays the table of the recorded IRPs. "Line view" displays detailed information about requests, passed through particular serial line. "Dump view" displays sent and received data passed through serial line. "Terminal view" is a text console that shows all the received data as ASCII characters.

    "Select all" and "Select none" buttons are convenient way to select all options or reset them.

    "Start monitoring now" and "Start in new window" determines behavior of new monitoring session.

    Once options are selected press "Start monitoring" to activate new monitoring session.

  4. New monitoring window opens. Visualizers are tiled by default:


Saving monitoring session

Monitoring sessions can be saved for later revision with all the settings and captured data logs. To do this, please, follow these simple steps:
  1. Start a new session
  2. When you are willing to save your session choose "File -> Save session/Save session As" from the main menu, or click "Save" on the main toolbar, or press CTRL+S:

  3. Then choose the desired filename. And later you will be able to load this session to continue your work.


Loading monitoring session

Sometimes it is really convenient to load previously saved monitoring sessions. To do this, please, follow these simple steps:
  1. Launch Serial Port Monitor
  2. Choose "File -> Open session" from the main menu, or click "Open" on the main toolbar, or press CTRL+S:

  3. Then navigate to previously saved session file and select it for loading.
  4. The session will be opened and loaded into Serial Port Monitor, restoring previously saved views and settings.


Closing monitoring session

To close current monitoring session choose "File -> Close session" from the main menu, or click "Close" on the main toolbar. In case there were changes in session progress you will be prompted to save it before closing.


Starting monitoring

As soon as you start new session and select your desired visualizers, you are ready to start monitoring itself. Note, that monitoring does not start automatically.

To enable monitoring, please, follow these simple steps.
  1. Start new monitoring session
  2. Choose "Monitoring -> Start" from the main menu, or click "Start monitoring" on the main toolbar, or press F5:

  3. After a very short pause the monitoring will be enabled.
  4. Now you will see that "Start monitoring" button is deactivated and 2 other icons ("Pause monitoring", "Stop monitoring") became enabled. It means that monitoring started successfully and is now enabled.
  5. Now you can go on and open the port with your software/hardware and start sniffing data.
Note: you can start monitoring of the port whenever you like, even if the port is occupied by the other application.


Visualizers: table view

This visualizer displays captured data from the developer's point of view: it presents the table consisting of the recorded IRPs. Each row represents one IRP and each column represents one single part of IRP.

Please, have a look at the sample table view:

Columns definitions are:
  • Index (#): The column contains the index of the request. The index increases in ascending order.
  • Time: The column contains timestamp of the request. Timestamp format can be accustomed in File ->Preferences.
  • Function: The column contains the name of the request. Usually it is one of standard IRP major function names.
  • Direction: The column contains either UP or DOWN string, that stand for the direction of the request. If DOWN is displayed, the request was initiated by the application, otherwise by the device driver.
  • Status: The column stores the request status.
  • Data: If the request has data in its body, it is displayed in this column in hexadecimal format.
  • Data (Chars): The same as previous column, but displays data as characters.
Note, that entries highlighting colors can be customized via Preferences dialog.


Visualizers: line view

Line view is similar with Table view, however it features more details about each request passing UP/DOWN the monitored serial port.

Additionally this visualizer does not place IRPs in a table, displaying them in plain text in lines instead. Many of you may find it more suitable. Line view deciphers most of the requests it displays.


Visualizers: dump view

This visualizer displays sent (Written) and received (Read) data in hexadecimal and string formats as a data dump. It will also log time the entry was stored and will distinctly represent when port was opened and closed.


Visualizers: terminal view

This visualizer works as the text console, showing all the received data as ASCII characters.


Visualizers: managing views

Monitoring visualizers (table, line, dump and terminal views) can be managed in several ways:
  1. Views positioning: by default as soon as you start a new monitoring session selected views are tiled and stretched to the whole size of the main window. Later you can either position and resize them manually, or use automatic positioning options: Windows -> Cascade/Tile.

  2. Closing and showing views again: sometimes you may find it convenient to close some logs temporarily and later bring them up again. You can do it either by closing a view with the cross (regular way of closing windows), or selecting "Close" in the view menu on the toolbar:

    To bring a closed log up again, just click the icon that corresponds to this view on the toolbar.

  3. Minimizing views: views can be minimized still staying active and updated, to minimize a view you can use a standard way of minimizing windows, or select "Minimize" option in the view menu on the toolbar:

  4. Exporting views: currently every log can be exported into various formats (MS Excel XLS, HTML, ANSI/UNICODE TXT). To export a view, please, select "Export to" option in the view menu on the toolbar, this will toggle a file selection dialog, where you will be able to select file format and destination:

  5. Redirecting views: logs redirection is a convenient feature of dynamic export of views. When redirected to a file, table or any other view will automatically be updated in the file it is redirected to whenever it is updated in Serial Port Monitor, so that you can open this file with a third-party application and use monitoring data in real-time. To redirect a view to file, please, select "Redirect to" option in the view menu on the toolbar.

  6. Clipboard operations: Serial Port Monitor lets you copy whole logs to clipboard and separate abstracts according to your selection. To copy view to clipboard, please, select "Copy this log to clipboard" option in the view menu on the toolbar. To copy selected abstract to clipboard, just select the desired text in the view window and press CTRL+C on your keyboard or select "Copy" in the right-click menu:


Monitoring filters

Serial Port Monitor can process all standard serial I/O Control requests (IOCTLs) and other major functions including IRP. Both (IOCTLs and IRPs) can be filtered in Serial Port Monitor. Software that works with serial ports usually initiates/sends tens of different requests per second and the Serial Port Monitor logs can be easily overfilled if there is no filtering set.

To setup data filtering, select the "Edit -> Filters" option from the main menu or click "Change filter" on the main toolbar. Filtering settings dialog will be toggled:

Preset - you can select the saved preset - the named set of filter settings, or create your own. There are three predefined presets, Default preset, Empty preset and Full preset.

Save As - Type the name in the Preset's name field and press the "Save As" button to save the current set to the new preset.

Delete - Select the existing preset in the Preset's name field and press "Delete" to delete it from the list. Note, that default presets cannot be deleted.

IOCTLs/IRPs list - The list consists of four columns: UP, DOWN, Code and Description. Code column contains the symbolic request name, found in serial.h file from Windows DDK. The Description column contains the short request description. UP and DOWN columns contain marks if the given request should be processed on the way down or up. Usually it is worth processing the request on one way only, however it's up to you to decide which filtering preset you may wish to install.

Please, don't forget to Apply the selected filter.


Terminal module

Send dialog

Send dialog allows you open/close serial port, change serial port parameters on-the-fly and send the data in different numeration systems (binary, octal, decimal, hexadecimal) as well as strings. It is usually docked at the bottom of the main window. However, if it is not visible there, you might wish to display it using "View -> Toolbars -> Send dialog " option of the main menu:

Send dialog offers the following options:

  • Port

    • Select existing serial port to open.

  • Baudrate

    • Specify rate at which bits are transmitted (bits per second). The baud rate is the rate at which information is transferred in a communication channel. In the serial port context, "9600 baud" means that the serial port is capable of transferring a maximum of 9600 bits per second. To be able to communicate at the maximum speed, both local and remote ends must be configured to the same baud rate and pass handshake stage before you can successfully read or write data.

    Advanced Serial Port Terminal supports all standard baud rates (100, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 57600, 115200, 128000, and 256000 bits per second).

  • Data bits

    • Specify number of data bits to transmit. Usually, the transferred bits include the start bit, the data bits, the parity bit (if used), and the stop bits. However, only the data bits carry useful information.

    You can configure DataBits to be 5, 6, 7, or 8. Data is transmitted as a series of five, six, seven, or eight bits with the least significant bit sent first (little-endian). At least seven data bits are required to transmit ASCII characters. Eight bits are required to transmit binary data. Five and six bit data formats are used for specialized communication equipment.

  • Parity

    • Specify the parity checking type. Parity can be one of the following: none, odd, even, mark, or space. If Parity is none, parity checking is not performed and the parity bit is not transmitted. If Parity is odd, the number of mark bits (1s) in the data is counted, and the parity bit is asserted or unasserted to obtain an odd number of mark bits. If Parity is even, the number of mark bits in the data is counted, and the parity bit is asserted or unasserted to obtain an even number of mark bits. If Parity is mark, the parity bit is asserted. If Parity is space, the parity bit is unasserted.

  • Stop bits

    • Specify number of bits used to indicate end of a byte. Stop bits could be 1, 1.5, or 2, however almost all contemporary devices are configured to 1 Stop bit. Please, note that both ends of serial port must be configured to transmit the same number of stop bits to work properly.

  • Flow control

    • Specify the Flow control type. Flow control is usually used to ensure that the receiving serial port device can handle all of the incoming data sent to it. Advanced Serial Port Terminal provides the following values you can assign to Flow control: Xon/Xoff (commonly used for asynchronous communication), Hardware and None.

  • Send combo-box

    • Here you may type in and send any type of data in blocks by selecting corresponding radio button below. Additionally, you may select from the list of previously sent data blocks.

  • String, Hex, Dec, Oct and Bin

    • This block of radio-buttons allows you to specify the format of the data to be transmitted. You may select from text strings (String), hexadecimal (Hex), decimal (Dec), octal (Oct) or binary (Bin) data formats. To be able to send hexadecimal characters along with strings you should enable corresponding option in Preferences dialog.

    Since Serial Port Monitor sends data in packets you are limited to a single byte value which is 255. For instance you cannot send value higher than FF in hexadecimal format, 377 in octal, 255 in decimal and 11111111 in binary. This is similar to the way this issue is handled in Scientific calculator when you are operating in byte's mode.

Please, note that starting from version 3.0, "Send Dialog " does not contain terminal window due to the fact that it is completely duplicated by "Terminal view" window


Status Bar

Status Bar contains brief information about serial port, status of signal lines as well as interface usage hint. Mentioned items could be grouped into following items ordered from the left to the right side of Status Bar:

  • Hint

    • To get short information about program interface, place mouse pointer over particular menu, toolbar etc.

  • IRP

    • Represents a counter of passed IRPs (Input/output Request Packets)

  • Read

    • Displays a number of bytes read from serial port

  • Written

    • Displays a number of bytes written to serial port

  • Serial port control information

    • This is a string of 4 or 5 items, separated by dash:

    • nBaudRate

      • Defines serial port baudrate. Possible values are: 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 56000, 57600, 115200, 128000 and 256000. By default, 110 value is taken.

    • nDataLength

      • Defines data lengths in a packet. Possible values are: 5, 6, 7 and 8. Default value is 7 bits.

    • cParity

      • Defines parity is one of the following values: (E)ven, (O)dd, (M)ark, (S)pace, or (N)one. By default (N)one is taken.

    • nStopBits

      • Defines a number of stop bits. Possible values are: "1", "1,5" and "2". Default value is "1".

    • cHandflow

      • Defines flow control value. Possible values are: Hardware (P), Xon/Xoff (X) and None. Default value is None.

  • Serial/modem control lines state.

    • RTS - Request to Send line indicator
    CTS - Clear to Send line indicator
    DSR - Data Send Ready line indicator
    DCD - Data Carrier Detect line indicator
    DTR - Data Terminal Ready line indicator
    RI - Ring line indicator

    The gray circle stands for undetermined state. The red circle stands for low line level and green circle stands for high line level.


Serial Port Monitor configuration

Serial Port Monitor offers several configurable settings. To invoke configuration dialog, please, go to "File -> Preferences" or press CTRL+P.

Currently, you can do the following:

    • Customize the way each of the views is displayed.

      To do this, expand "Windows" tree at the left pane if it is not expanded and select the visualizer you would like to customize in Preferences dialog, then select the entry type you would like to customize, and either double-click it, or click "Change" button to set new color.

      In addition to this you may specify that columns to display in "Time view". "Select all" and "Select none" buttons are convenient way to select or deselect all columns.

    • Customize timestamp format.

      • You may set event timestamp that suites you. There are several options:

      • Actual time and date. Timestamp will be represented as DD/MM/YYYY hh:mm:ss
      • Time only. Timestamp will be represented as hh:mm:ss:mss
      • Since session start. Represents timestamp intervals between current session start and now. Timestamp will be represented as hh:mm:ss:mss.
      • Interval since a last record. Represents timestamp intervals between IRPs. Timestamp will be represented as hh:mm:ss:mss.

    • Customize transmitted data representation.

      • This option allows setting maximum length of the dump string displayed and change scale of notation.

    • Send dialog.

      • Here you may specify whether you would like to send hexadecimal characters along with text string in Send dialog panel ("String" radio-button option) and define the commands history size. If you select "Disable" you will be able to send just text data. In order to send "#0A" (10 in hexadecimal representation which stands for Line Feed control character) and "#OD" (13 in hexadecimal representation which stands for Carriage Return character) only, please, enable"#0A and #0D only" option. "Full mixed mode" option allows sending both text and hexadecimal data (could be useful if you send control characters with communication data).


Command line options

Serial Port Monitor provides command line options to launch and start monitoring serial ports automatically:

  SerialMonitor.EXE /new
      PORT
      [A] [T] [L] [R] [D]

where

  • "PORT" defines the serial port to monitor (COM1, COM4, etc.)
  • "A" means that monitoring should be started automatically once you press the "Enter" button
  • "T" means that "Table View" should be toggled on
  • "L" means that "Line View" should be toggled on
  • "R" means that "Terminal View" should be toggled on
  • "D" means that "Data View" should be toggled on

Example:
SerialMonitor.exe /new COM1 ATLRD

This command launches Serial Port Monitor and straightaway opens COM1 port. All visualizers are enabled.


Frequently asked questions

  1. I launched Serial Port Monitor, selected visualizers, but the logs are empty. What's wrong?

    Please, check that you started monitoring using either "Monitoring -> Start" option in the main menu, or clicking "Start" button on the main toolbar.

  2. I'm typing text in the terminal, but it is not visible. Is it right?

    If you want to see the text you are typing in the terminal, you need to enable Echoing ("Echo on/of" checkbox).

  3. Can I use your Terminal without enabling the monitoring features, as an alternative to standard terminal?

    Sure, internal Terminal acts like a separate application inside Serial Port Monitor.

  4. Why, when I push button "Open" in terminal to open a COM-port, it is not opened?

    It is possible, that some other software has already opened this COM-port. Please, check that you don't have any other software which is working with the port at the moment.

  5. Are there any technical security issues when working with serial ports?

    The computers serial port uses voltages that can seriously damage any device not suited for the connection. The 9 or 25 pin connector used is the same connector used for other types of interfaces that are not necessarily serial interfaces. If you are unsure if an interface is a serial interface, do not attempt to attach to the interface as a test.

    A device, called a breakout box, can be used to safely determine if an interface is a serial interface or not. It is also possible to use a meter to measure the pins of the device to verify that the device is in fact using ± 12 volts on the DTR and RTS lines of the port. Additionally, the device’s documentation may state the purpose of the port.

    The line status indicators (LEDs) of this software do not qualify this software as a “breakout box”. When the output signals are low, or in their inactive state, the output voltage is NEGATIVE (-) 12 VOLTS, which is a very dangerous voltage to “test” with.